Subject: Spruce
To: None <>
From: Robert D. Mohr <>
List: tech-pkg
Date: 04/16/2000 06:08:02
The Spruce email package does not work correctly as is in the current NetBSD
package distribution.  The program *does* compile, however certain functions
(like actually receiving mail) do not work.  I'm including an email from the
author of this program.  It appears that the current versions of Spruce have
some dependencies that aren't being addressed in the current NetBSD package
distribution.  In particular, the current versions of Spruce make use of
POSIX threads.  The author indicates that LinuxThread support should be
installed in order for this application to function at this time.  I wasn't
able to locate a LinuxThreads port in the NetBSD package hierarchy.  Is this
being worked on?

Email sent to

It seems that BSD users might need to install the LinuxThreads port in order
to successfully build/run Spruce as it currently is.

I recognize that this is a "hassle" and that I should find a better way to
handle this in the future. If anyone has experience programming on BSD
systems using posix threads, I would greatly appreciate a fix whether it be
a configure option or, better yet, some way to autodetect which lib is to
be used and any source modifications might be needed.

In the meanwhile, I will add that requirement to the README file for future

I thank you all for reporting this problem and for using Spruce ;-)



Spruce-list mailing list